Entwurf Text

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Text and the translation is 73% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Rectangle.svg Rechteck Vorherige:
Nächste: Abmessung Draft Dimension.svg Arrow-right.svg

Draft Text.svg {{{Name/de}}}

Menüeintrag
Entwurf → Text
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
T E
In der Version eingeführt
0.7
Siehe auch
Draft Label, Draft ShapeString


Description

Beschreibung==

Das Textwerkzeug fügt an einer bestimmten Stelle eine mehrzeilige Textbox ein. Es wird das Draft Linestyle verwendet, das auf dem Draft Tray eingestellt ist.

Um ein Textfeld mit einem Führungszeichen und einem Pfeil zu erstellen, verwenden Sie Draft Label. Um Volltext oder 3D Buchstaben zu erstellen, verwende Draft ShapeString mit Part Extrude.

Draft Text example.png

Einzelner Punkt erforderlich zum Positionieren der Text-Box


Warnung: Die mit version 0.18 erstellten Texte sind nicht abwärtskompatibel, sichern Sie also Ihre Arbeit, wenn Sie versuchen, mit 0.18 erstellte Dateien mit älteren Versionen zu öffnen.

Usage

Anwendung

  1. Drücke die Schaltfläche Draft Text.png Draft Text oder drücke T, dann E Tasten.
  2. Klicke auf einen Punkt in der 3D Ansicht oder gib eine Koordinate ein und drücke die Schaltfläche Draft AddPoint.svg Punkt hinzufügen.
  3. Gib den gewünschten Text ein, drücke Enter zwischen jeder Zeile.
  4. Drücke Enter zweimal , um den Vorgang abzuschließen.

Optionen

  • Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücke dann Enter zwischen jeder X, Y und Z Komponente. Du kannst den Draft AddPoint.svg Punkt hinzufügen Schaltfläche drücken, wenn Du die gewünschten Werte zum Einfügen des Punktes hast.
  • Halte Ctrl gedrückt, während du den Text platzierst, um Fang deinen Punkt unabhängig von der Entfernung an die nächste Fangposition zu zwingen.
  • Drücke Enter oder ↓ Pfeil nach unten, um eine neue Textzeile einzugeben.
  • Drücke ↑ Pfeil nach oben, um die vorherige Textzeile zu bearbeiten.
  • Drücke zweimal Enter oder ↓ Pfeil nach unten, um die Bearbeitung des Textes abzuschließen.
  • Drücke Esc oder die Taste Close, um den aktuellen Befehl abzubrechen.

Eigenschaften

Daten

  • Daten-EigenschaftText: gibt den Inhalt des Textblocks als Liste von Zeichenketten an; jedes Element auf der Liste, durch ein Komma getrennt, zeigt eine neue Zeile an.
  • Daten-EigenschaftPosition: gibt den Basispunkt der ersten Zeile des Textblocks an.
  • Daten-EigenschaftWinkel: gibt die Rotation der Grundlinie der ersten Zeile des Textblocks an.
  • Daten-EigenschaftAchse: gibt die Achse an, die für die Rotation verwendet werden soll.

Ansicht

  • Ansicht EigenschaftAnsichtsmodus: wenn es sich um "3D Text" handelt, wird der Text an den Szenenachsen ausgerichtet, wobei er zunächst auf der XY Ebene liegt; wenn es sich um "2D Text" handelt, wird der Text immer der Kamera zugewandt sein.
  • Ansicht EigenschaftSchriftartname: gibt die Schriftart an, die zum Zeichnen des Textes verwendet werden soll. Es kann ein Schriftname wie "Arial", ein Standardstil wie "sans", "serif" oder "mono", eine Familie wie "Arial, Helvetica, sans" oder ein Name mit einem Stil wie "Arial:Bold" sein. Wenn die angegebene Schriftart nicht auf dem System gefunden wird, wird stattdessen eine generische Schriftart verwendet.
  • Ansicht EigenschaftSchriftgröße: gibt die Größe der Buchstaben an. Wenn das Textobjekt in der Baumansicht erstellt wird, aber kein Text sichtbar ist, erhöhe die Größe des Textes, bis er sichtbar ist.
  • Ansicht EigenschaftAusrichtung: gibt an, ob der Text links, rechts oder in der Mitte des Basispunktes ausgerichtet ist.
  • ViewZeilenabstand: gibt den Abstand zwischen den Textzeilen an.

Skripten

Siehe auch: Draft API und FreeCAD Skripten Grundlagen.

Das Textwerkzeug kann in Makros und von der Python Konsole aus mit folgender Funktion verwendet werden:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Erstellt ein Text Objekt, an einem Punkt, der durch einen FreeCAD.Vector definiert ist.
  • Liste Zeichenkette ist eine Zeichenkette oder eine Liste von Zeichenketten; wenn es eine Liste ist, wird jedes Element in einer eigenen Zeile angezeigt.
  • Wenn screen True ist, ist der Text immer in Blickrichtung der Kamera ausgerichtet, andernfalls richtet er sich nach den Szenenachsen aus und liegt auf der XY Ebene.

Die Platzierung des Text kann durch Überschreiben seines Placement Attributs oder durch individuelles Überschreiben seiner Placement.Base und Placement.Rotation Attribute geändert werden.

Die Ansichtseigenschaften von Text können durch Überschreiben seiner Attribute geändert werden; z.B. überschreibe ViewObject.FontSize mit der neuen Größe in Millimetern.

Beispiel:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)
Arrow-left.svg Draft Rectangle.svg Rechteck Vorherige:
Nächste: Abmessung Draft Dimension.svg Arrow-right.svg